# NOTE:		Please keep in sync with aumix.
#
# Conditional build:
%bcond_with	gtk1	# build with GTK+ instead of GTK+2
#
Summary:	curses and X11/GTK+ based audio mixer
Summary(de.UTF-8):	Audio-Mixer auf curses- und X11/GTK+-Basis
Summary(es.UTF-8):	Mezclador de audio basado en curses y X11/GTK+
Summary(pl.UTF-8):	Mikser audio bazujący na curses i GTK+
Summary(ru.UTF-8):	Аудио микшер на базе библиотеки curses и GTK+
Summary(uk.UTF-8):	Аудіо мікшер, базований на біблиотеці curses і GTK+
Name:		aumix-gtk
Version:	2.9.1
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.jpj.net/~trevor/aumix/releases/aumix-%{version}.tar.bz2
# Source0-md5:	34f28ae1c94fc5298e8bb2688c4b3a20
Source3:	%{name}.desktop
Source4:	aumix.png
Patch0:		aumix-home_etc.patch
Patch1:		aumix-xaumix.patch
URL:		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
%if %{with gtk1}
BuildRequires:	gtk+-devel >= 1.2.0
%else
BuildRequires:	gtk+2-devel >= 1:2.0.0
%endif
BuildRequires:	ncurses-devel >= 5.0
Provides:	aumix
Obsoletes:	aumix
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program provides a tty- and X11/GTK+-based, interactive method of
controlling a sound card's mixer. It lets you adjust the input levels
from the CD, microphone, and onboard synthesizers as well as the
output volume.

%description -l de.UTF-8
Dieses Programm bietet eine interaktive Methode auf tty- und
X11/GTK+-Basis zur Steuerung eines Soundkarten-Mixers. Sie können
damit die Eingangspegel der CD, des Mikrophons und von
Synthesizer-Karten sowie auch die Ausgabelautstärke regeln.

%description -l es.UTF-8
Este programa nos ofrece un método interactivo basado en tty y
X11/GTK+ de control de mezclas de tarjetas de sonido. Deja que se
ajuste los niveles de entrada del CD, micrófono, y sintetizadores, así
como el volumen de salida.

%description -l pl.UTF-8
Ten program przynosi bazującą na tty oraz X11/GTK+, interaktywną
metodę kontrolowania miksera karty dźwiękowej. aumix pozwala zmieniać
poziom sygnału nadchodzącego z CD, mikrofonu i syntetyzerów tak samo
jak poziom sygnału wyjściowego.

%description -l ru.UTF-8
Эта программа - консольный и X11/GTK+, интерактивный регулятор уровней
микшера звуковой карты. Она позволяет изменять как входные уровни
сигналов с CD, микрофона, синтезаторов на звуковой плате, так и
выходной уровень.

%description -l uk.UTF-8
Ця програма - консольний і X11/GTK+, інтерактивний регулятор рівней
мікшеру звукової картки. Вона дозволяє змінювати як вхідні рівні
сигналів з CD, мікрофону, синтезаторів на звуковій платі, так і
вихідний рівень.

%prep
%setup -q -n aumix-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

CPPFLAGS="-I/usr/include/ncurses"
%configure \
%if %{with gtk1}
	--without-gtk
%else
	--without-gtk1
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/aumix.desktop
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -f $RPM_BUILD_ROOT%{_datadir}/aumix/aumix.xpm

:> $RPM_BUILD_ROOT%{_sysconfdir}/aumixrc

%find_lang aumix

%clean
rm -rf $RPM_BUILD_ROOT

%files -f aumix.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/aumixrc

%attr(755,root,root) %{_bindir}/aumix
%{_mandir}/man1/*
%{_datadir}/aumix

%{_pixmapsdir}/*.png
%{_desktopdir}/aumix.desktop
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aumix-gtk.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 3a941d6
- up to 2.9.1

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ebbb47a
- drop obsolete files

* Sun Mar 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 53b3d3f
- GPL v2+

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 4054368
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9260971
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 075e856
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> b44a010
- adapterized (sorted %verify attrs)

* Sat Nov 27 2004 saq <saq@pld-linux.org> b14c4fb
- massive attack: add missing gtk+2-devel epoch in BR

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> e18c0c5
- "GTK+" unification (hope thats all)

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> 8ec35dd
- [Gg]tk+ -> GTK+

* Tue Jul 27 2004 Jakub Bogusz <qboosh@pld-linux.org> e61d0f7
- really uncommented home_etc patch, cleanups

* Tue Jul 27 2004 havner <havner@pld-linux.org> 6fa2f7e
- rel 2 for rebuild (forgot about uncommenting patch :-( )

* Mon Jul 26 2004 havner <havner@pld-linux.org> 16ffcee
- fixed home_etc patch
- rel 1

* Mon Jul 26 2004 havner <havner@pld-linux.org> 0e61d16
- fixed for 2.8

* Mon Jul 12 2004 havner <havner@pld-linux.org> 30c04ad
- bcond with gtk1
- home-etc patch not done (yet)
- rel 0.1
- works

* Mon Jul 12 2004 havner <havner@pld-linux.org> d16ea3d
- remove unnecessary trash

* Mon Jul 12 2004 havner <havner@pld-linux.org> 7c98afd
- fixed for 2.8

* Mon Jul 12 2004 havner <havner@pld-linux.org> 1cfa172
- work in progress

* Mon Jul 12 2004 havner <havner@pld-linux.org> aa2bb84
- fixed for 2.8

* Sun Jul 11 2004 havner <havner@pld-linux.org> eae2279
- 2.8 version, support gtk2!
- NFY, patches needs to bo converted, I'll do it tommorow

